/* Run Onload window*/
jQuery(window).on('load', function () {
	var data = {
		action: 'alp_set_cart_item_must_be_pickup',
		enabled: 'yes',
		nonce : alp_ajax_object.nonce
	};
	jQuery.ajax({
		url: alp_ajax_object.alp_ajax_url,
		data: data,//form.serialize(),
		type: 'POST',
		dataType: "json",
		success: function (response) {
			if (response.redirect_to_cart == false) {
				var btn = jQuery('.woocommerce-cart-form').find(':input[name="update_cart"]');
				jQuery(btn).attr('disabled', false);
				jQuery(btn).trigger('click');
			}
			//jQuery('body').trigger('updated_cart_totals');
			jQuery('body').trigger('update_checkout');
		},
		error: function (response) {
			console.log(response);
		}
	});
	return false;
});
jQuery(document).ready(function () {
	jQuery('form.woocommerce-checkout').on('submit', function () {
		jQuery('.pickup-appt-fields ~ small, .selected_location ~ small').remove();
		jQuery('.appt_time--items, .appt_date--items, .selected_pickup_location, .selected_location').css('border-color', '');
		if (!jQuery('.selected_pickup_location').val()) {
			jQuery('.selected_pickup_location').css('border-color', 'red');
			jQuery('<small style="color:red;">Please select a location for pickup items.</small>').insertAfter('.selected_pickup_location');
		}
		if (!jQuery('.selected_location').val()) {
			jQuery('.selected_location').css('border-color', 'red');
			jQuery('<small style="color:red;">Please select a location for pickup items.</small>').insertAfter('.selected_location');
		}
		if (!jQuery('.appt_date--items').val()) {
			jQuery('.appt_date--items').css('border-color', 'red');
			jQuery('<small style="color:red;">Please select pick up date.</small>').insertAfter('.pickup-appt-fields');
		}
		if (!jQuery('.appt_time--items').val()) {
			jQuery('.appt_time--items').css('border-color', 'red');
			jQuery('<small style="color:red;">Please select pick up time.</small>').insertAfter('.pickup-appt-fields');
		}
	});
});

/* call for is date disable in datepicker field*/
function is_date_empty(d, store_appt_days, store_appt_exclusive_days) {
	var day = d.getDay();
	var dateString = jQuery.datepicker.formatDate("d-m-yy", d);
	var dayNames = ['sunday', 'monday', 'tuesday', 'wednesday', 'thursday', 'friday', 'saturday'];

	if (store_appt_exclusive_days[dateString]) {
		return store_appt_exclusive_days[dateString][dayNames[day]]?.['wclp_store_hour'];
	} else {
		return store_appt_days[dayNames[day]]?.['wclp_store_hour'];
	}
}

/* call for set datepicker field*/
function set_datepicker(This, MinDate, MaxDate, days, date_format, appt_session_data, location, start_of_week) {

	"use strict";
	if (MinDate === "") {
		MinDate = 1;
	}

	var minToday = new Date();
	var maxToday = new Date();
	var minDay = new Date(minToday.setDate(minToday.getDate() + MinDate));
	var maxDay = new Date(maxToday.setDate(maxToday.getDate() + MinDate + MaxDate));
	var currentDate = new Date(minDay.getTime());
	
	var extraDays = 0;
	var i = 0;
	var defualtDate;
	while (currentDate <= maxDay) {
		var date = is_date_empty(currentDate, location.store_appt_days, location.store_appt_exclusive_days);
		if (date !== '') { 
			if (jQuery.inArray(new Date(currentDate).getDay(), days) == -1) {
				extraDays = extraDays + 1;
				new Date(maxDay.setDate(maxDay.getDate() + 1));
			} else {
				if (i == 0 && !defualtDate) {
					defualtDate = new Date(currentDate);
					i++;
				}
			}
		}
		currentDate.setDate(currentDate.getDate() + 1);
	}

	jQuery(This).datepicker({
		firstDay: start_of_week,
		dateFormat: date_format,
		minDate: MinDate,
		maxDate: MaxDate + extraDays,
		beforeShowDay: function (d) {
			var day = d.getDay();
			var date = is_date_empty(d, location.store_appt_days, location.store_appt_exclusive_days);
			if (!date ) {
				return [false, "disabled-date"];
			}
			return [jQuery.inArray(day, days) !== -1, 'ui-datepicker-selectable']; //&& day !== 0 && day !== 3
		},
	});
	
	if (jQuery("#local_pickup_cart_checkout_popup_html").length > 0) {
		var date = appt_session_data.date ? appt_session_data.date.split("-").reverse().join("-") : defualtDate;
		jQuery(".datepicker").datepicker("setDate", new Date(date));
		jQuery('.ui-datepicker-selectable.ui-datepicker-current-day').trigger('click');
	} else {
		jQuery(This).datepicker("show");
	}
	jQuery.datepicker.setDefaults(jQuery.datepicker.regional[document.getElementsByTagName('html')[0].getAttribute('lang')]);
	/*jQuery.datepicker.formatDate( date_format, new Date(jQuery('.appt_date--items').datepicker("getDate")), {
		dayNamesShort: jQuery.datepicker.regional[ document.getElementsByTagName('html')[0].getAttribute('lang') ].dayNamesShort,
		dayNames: jQuery.datepicker.regional[ document.getElementsByTagName('html')[0].getAttribute('lang') ].dayNames,
		monthNamesShort: jQuery.datepicker.regional[ document.getElementsByTagName('html')[0].getAttribute('lang') ].monthNamesShort,
		monthNames: jQuery.datepicker.regional[ document.getElementsByTagName('html')[0].getAttribute('lang') ].monthNames
	  });*/
}

jQuery(document).on("change", "#shipping_method .shipping__list_item input", function () {
	"use strict";
	jQuery('.woocommerce-cart-form').find(':input[name="update_cart"]').prop("disabled", false);
	setTimeout(function () { jQuery('.woocommerce-cart-form').find(':input[name="update_cart"]').trigger('click'); }, 1500);
});

/* Run on choose for pickup item*/
jQuery(document).on("change", ".enabled_pickup", function () {
	"use strict";
	jQuery(".page-checkout").block({
		message: null,
		overlayCSS: {
			background: "#fff",
			opacity: 0.6
		}
	});
	//var form = jQuery('.woocommerce-cart-form');
	if (jQuery(this).is(":checked") == true) {
		var enabled = 'yes';
	} else {
		var enabled = 'no';
	}
	var data = {
		action: 'alp_set_cart_item_data',
		cart_item_key: jQuery(this).parent().parent().find('input:hidden[name=cart_item_key]').val(),
		enabled: enabled,
		nonce : alp_ajax_object.nonce
	};
	var This = jQuery(this);
	jQuery.ajax({
		url: alp_ajax_object.alp_ajax_url,
		data: data,//form.serialize(),
		type: 'POST',
		dataType: "json",
		success: function (response) {
			jQuery(".page-checkout").unblock();
			var btn = jQuery('.woocommerce-cart-form').find(':input[name="update_cart"]');
			jQuery(btn).trigger('click');
			jQuery('body').trigger('update_checkout');
		},
		error: function (response) {
			console.log(response);
		}
	});
	return false;
});

/* Run on choose for pickup location*/
jQuery(document).on("change", ".selected_location", function () {
	"use strict";
	jQuery(".page-checkout").block({
		message: null,
		overlayCSS: {
			background: "#fff",
			opacity: 0.6
		}
	});
	var data = {
		action: 'alp_set_cart_item_data',
		cart_item_key: jQuery(this).parent().parent().find('input:hidden[name=cart_item_key]').val(),
		enabled: 'yes',
		location_id: jQuery(this).val(),
		nonce : alp_ajax_object.nonce
	};
	jQuery.ajax({
		url: alp_ajax_object.alp_ajax_url,
		data: data,//form.serialize(),
		type: 'POST',
		dataType: "json",
		success: function (response) {
			jQuery(".page-checkout").unblock();
			var btn = jQuery('.woocommerce-cart-form').find(':input[name="update_cart"]');
			jQuery(btn).trigger('click');
			jQuery('body').trigger('update_checkout');
		},
		error: function (response) {
			console.log(response);
		}
	});
	return false;
});

/* Run on select for pickup locationfor multiple items*/
jQuery(document).on("change", ".selected_pickup_location", function () {
	"use strict";
	var data = {
		action: 'alp_set_cart_items_location_data',
		location_id: jQuery(this).val(),
		nonce : alp_ajax_object.nonce
	};

	if (jQuery("#local_pickup_cart_checkout_popup_html").length > 0) {
		jQuery('#local_pickup_cart_checkout_popup_html select').css('border-color', '');
		jQuery('#local_pickup_cart_checkout_popup_html .popuprow').addClass('active');

		if (jQuery(this).val() == '') {
			jQuery('#local_pickup_cart_checkout_popup_html .popuprow').removeClass('active');
			jQuery('.calender-block, .time-slot-block').hide();
			return;
		}

		jQuery.ajax({
			url: alp_ajax_object.alp_ajax_url,
			data: data, //form.serialize(),
			type: "POST",
			dataType: "json",
			success: function (response) {
				var appt_enable = response.location.store_enable_appt;
				var sameDay = response.location.store_appt_start_date;
				var minDate = response.location.store_appt_first_date;
				var maxDate = response.location.store_appt_time_range;
				var days = response.store_appt_days;
				var date_format = response.date_format;
				var appt_session_data = response.appt_session_data;
				var store_appt_exclusive_days = response.location.store_appt_exclusive_days;
				var store_appt_days = response.location.store_appt_days;

				if (sameDay === "1") {
					var minDate = "0";
					var hour = response.location.store_appt_hour_same_day.split(":");
					var date = new Date();
					var time = date.getHours() + ":" + date.getMinutes();
					if (
						hour[0] < date.getHours() ||
						(hour[0] == date.getHours() && hour[1] < date.getMinutes())
					) {
						var minDate = "1";
					}
				}

				jQuery('.calender-block, .time-slot-block').hide();
				if (appt_enable === '1') {
					jQuery('.calender-block').show();
					jQuery('.calender-block .datepicker').replaceWith('<div class="datepicker appt_date--items"></div>');
					set_datepicker('.datepicker', parseInt(minDate), parseInt(maxDate), days, date_format, appt_session_data, response.location, response.start_of_week);
					//jQuery('.ui-datepicker-selectable.ui-datepicker-current-day').trigger('click');
					if (jQuery(".time-slot-block").is(":visible")) {
						jQuery('#local_pickup_cart_checkout_popup_html .popuprow').removeClass('active');
					}

				} else {
					jQuery('.calender-block').hide();
					jQuery('#local_pickup_cart_checkout_popup_html .popuprow').removeClass('active');
				}

			},
			error: function (response) {
				console.log(response);
			},
		});
	} else {

		var address = jQuery(this).find(':selected').data("address");
		jQuery(".pickup__items_locations small").replaceWith('<small>' + address + '</small>');

		jQuery.ajax({
			url: alp_ajax_object.alp_ajax_url,
			data: data,//form.serialize(),
			type: 'POST',
			dataType: "json",
			success: function (response) {
				jQuery('.woocommerce-cart-form').find(':input[name="update_cart"]').prop("disabled", false);
				var btn = jQuery('.woocommerce-cart-form').find(':input[name="update_cart"]');
				jQuery(btn).trigger('click');
				jQuery('body').trigger('update_checkout');
			},
			error: function (response) {
				console.log(response);
			}
		});
	}

	return false;
});

/* Run on select for pickup locationfor multiple items*/
jQuery(document).on("click change", ".appt_date--items", function (event) {
	"use strict";

	if (jQuery("#local_pickup_cart_checkout_popup_html").length > 0) {
		var data = {
			action: "alp_set_cart_items_location_data",
			location_id: jQuery(".selected_pickup_location").val(),
			date: jQuery('.appt_date--items').datepicker("getDate"),
			nonce : alp_ajax_object.nonce
		};

		jQuery('#local_pickup_cart_checkout_popup_html select').css('border-color', '');
		jQuery('#local_pickup_cart_checkout_popup_html .popuprow').addClass('active');

		var This = jQuery(this);
		jQuery.ajax({
			url: alp_ajax_object.alp_ajax_url,
			data: data, //form.serialize(),
			type: "POST",
			dataType: "json",
			success: function (response) {
				jQuery('.time-slot-block').show();
				jQuery('.time-slot-block .appt_time--items').replaceWith(response.get_time_slot);
				jQuery('#local_pickup_cart_checkout_popup_html .popuprow').removeClass('active');
			},
			error: function (response) {
				console.log(response);
			},
		});
	} else {

		if ( jQuery(this).parents('.pickup__items_locations').find('.selected_pickup_location').length ) {
			var data = {
				action: 'alp_set_cart_items_location_data',
				location_id: jQuery(this).parents('.pickup__items_locations').find('.selected_pickup_location').val(),
				date: jQuery('.appt_date--items').datepicker("getDate"),
				nonce : alp_ajax_object.nonce
			};
		} else {
			var data = {
				action: 'alp_set_cart_items_location_data',
				location_id: jQuery(this).parents('.alp-cart-option').find('.selected_location').val(),
				cart_item_key: jQuery(this).parents('.alp-cart-option').find('input:hidden[name=cart_item_key]').val(),
				date: jQuery(this).parents('.pickup-appt-fields').find('.appt_date--items').datepicker("getDate"),
				nonce : alp_ajax_object.nonce
			};
		}

		
		var This = jQuery(this);
		jQuery.ajax({
			url: alp_ajax_object.alp_ajax_url,
			data: data,//form.serialize(),
			type: 'POST',
			dataType: "json",
			success: function (response) {
				if (event.type === 'change') {
					jQuery('.woocommerce-cart-form').find(':input[name="update_cart"]').prop("disabled", false);
					var btn = jQuery('.woocommerce-cart-form').find(':input[name="update_cart"]');
					jQuery(btn).trigger('click');
					jQuery('body').trigger('update_checkout');
				} else {
					var sameDay = response.location.store_appt_start_date;
					var minDate = response.location.store_appt_first_date;
					var maxDate = response.location.store_appt_time_range;
					var store_appt_exclusive_days = response.location.store_appt_exclusive_days;
					var store_appt_days = response.location.store_appt_days;
					if (sameDay === '1') {
						var minDate = '0';
						var hour = response.location.store_appt_hour_same_day.split(':');
						var date = new Date();
						var time = date.getHours() + ":" + date.getMinutes();
						if (hour[0] < date.getHours() || (hour[0] == date.getHours() && hour[1] < date.getMinutes())) {
							var minDate = '1';
						}
					}

					var days = response.store_appt_days;
					var date_format = response.date_format;
					var appt_session_data = response.appt_session_data;
					set_datepicker(This, parseInt(minDate), parseInt(maxDate), days, date_format, appt_session_data, response.location, response.start_of_week);
				}
			},
			error: function (response) {
				console.log(response);
			}
		});
	}
	return false;
});

/* Run on select for pickup locationfor multiple items*/
jQuery(document).on("change", ".appt_time--items", function () {
	"use strict";

	if (jQuery("#local_pickup_cart_checkout_popup_html").length > 0) {
		var data = {
			action: "alp_set_cart_items_location_data",
			location_id: jQuery(".selected_pickup_location").val(),
			date: jQuery(".datepicker").datepicker("getDate"),
			time: jQuery(this).val(),
			nonce : alp_ajax_object.nonce
		};

		jQuery('#local_pickup_cart_checkout_popup_html select').css('border-color', '');
		jQuery('#local_pickup_cart_checkout_popup_html .popuprow').addClass('active');

		jQuery.ajax({
			url: alp_ajax_object.alp_ajax_url,
			data: data, //form.serialize(),
			type: "POST",
			dataType: "json",
			success: function (response) {
				jQuery('#local_pickup_cart_checkout_popup_html .popuprow').removeClass('active');
			},
			error: function (response) {
				console.log(response);
			},
		});
	} else {

		if ( jQuery(this).parents('.pickup__items_locations').find('.selected_pickup_location').length ) {
			var data = {
				action: 'alp_set_cart_items_location_data',
				location_id: jQuery(this).parents('.pickup__items_locations').find('.selected_pickup_location').val(),
				date: jQuery(this).parents('.pickup__items_locations').find('.appt_date--items').val(),
				time: jQuery(this).val(),
				nonce : alp_ajax_object.nonce
			};
		} else {
			var data = {
				action: 'alp_set_cart_items_location_data',
				location_id: jQuery(this).parents('.alp-cart-option').find('.selected_location').val(),
				cart_item_key: jQuery(this).parents('.alp-cart-option').find('input:hidden[name=cart_item_key]').val(),
				date: jQuery(this).parents('.alp-cart-option').find('.appt_date--items').val(),
				time: jQuery(this).val(),
				nonce : alp_ajax_object.nonce
			};
		}

		

		jQuery.ajax({
			url: alp_ajax_object.alp_ajax_url,
			data: data,//form.serialize(),
			type: 'POST',
			dataType: "json",
			success: function (response) {

			},
			error: function (response) {
				console.log(response);
			}
		});
	}

	return false;
});



/* Run on select for pickup location for multiple items*/
jQuery(document).on("change", ".reschadule_location", function () {
	"use strict";
	var data = {
		action: 'appt_reschadule_datepicker_html',
		location_id: jQuery(this).val(),
		nonce : alp_ajax_object.nonce
	};
	var This = jQuery(this);
	jQuery.ajax({
		url: alp_ajax_object.alp_ajax_url,
		data: data,//form.serialize(),
		type: 'POST',
		dataType: "json",
		success: function (response) {
			if (response.reschadule_datepicker && response.store_enable_appt == 1 && response.allow_pickup_per_item != 1) {
				jQuery(This).parents(".reschedule-pickup-fields").find(".alp_location--reschadule_date").replaceWith(response.reschadule_datepicker);
				jQuery(This).parents(".reschedule-pickup-fields").find(".alp_location--reschadule_time").css('display', 'none');
			} else {
				jQuery(This).parents(".reschedule-pickup-fields").find(".alp_location--reschadule_date, .alp_location--reschadule_time").css('display', 'none');
			}
		},
		error: function (response) {
			console.log(response);
		}
	});
	return false;
});

/* Run on select for pickup locationfor multiple items*/
jQuery(document).on("submit", "#wclp_reschadule_pickup_form", function (event) {
	"use strict";
	var form = jQuery(this);

	jQuery.ajax({
		url: alp_ajax_object.alp_ajax_url,
		data: form.serialize() + '&nonce=' + alp_ajax_object.nonce,
		type: 'POST',
		dataType: "json",
		success: function (response) {
			if (response.success == false) {
				form.find('').css('border-color', 'red')
			} else {
				location.reload();
			}
		},
		error: function (response) {
			console.log(response);
		}
	});
	return false;
});

/* Run on select for pickup locationfor multiple items*/
jQuery(document).on("click change", ".alp_location--reschadule_date", function (event) {
	"use strict";

	var data = {
		action: 'appt_reschadule_time_slot_html',
		location_id: jQuery(this).parents('.reschedule-pickup-fields').find('.reschadule_location').val(),
		date: jQuery(this).parents('.reschedule-pickup-fields').find('.alp_location--reschadule_date').val(),
		nonce : alp_ajax_object.nonce
	};

	var This = jQuery(this);
	var Event = event.type;
	jQuery.ajax({
		url: alp_ajax_object.alp_ajax_url,
		data: data,
		type: 'POST',
		dataType: "json",
		success: function (response) {
			if (event.type === 'change') {
				if (response.get_time_slot) {
					jQuery(This).parents(".reschedule-pickup-fields").find(".alp_location--reschadule_time").replaceWith(response.get_time_slot);
				}
			} else {
				var sameDay = response.location.store_appt_start_date;
				var minDate = response.location.store_appt_first_date;
				var maxDate = response.location.store_appt_time_range;
				var store_appt_exclusive_days = response.location.store_appt_exclusive_days;
				var store_appt_days = response.location.store_appt_days;
				if (sameDay === '1') {
					var minDate = '0';
					var hour = response.location.store_appt_hour_same_day.split(':');
					var date = new Date();
					var time = date.getHours() + ":" + date.getMinutes();
					if (hour[0] < date.getHours() || (hour[0] == date.getHours() && hour[1] < date.getMinutes())) {
						var minDate = '1';
					}
				}

				var days = response.store_appt_days;
				var date_format = response.date_format;
				var appt_session_data = response.appt_session_data;
				set_datepicker(This, parseInt(minDate), parseInt(maxDate), days, date_format, appt_session_data, response.location, response.start_of_week);
			}
		},
		error: function (response) {
			console.log(response);
		}
	});
	//return false;
});

/* Run on select for pickup locationfor multiple items*/
jQuery(document).on("click", ".pickup__items_locations.pickup__title", function (event) {
	"use strict";
	jQuery('#local_pickup_cart_checkout_popup_html').show();
	jQuery('.selected_pickup_location').trigger('change');
});

jQuery(document).on("click", ".popup_close_icon, .popupclose", function () {
	jQuery('#local_pickup_cart_checkout_popup_html').hide();
});

/* Run on select for pickup locationfor multiple items*/
jQuery(document).on("click", ".save-pickup-schedule-btn", function () {
	"use strict";

	var location_id = jQuery('.selected_pickup_location').val();
	if (location_id == '') {
		jQuery('.selected_pickup_location').attr('style', 'border-color: red !important');
		return;
	} else {
		jQuery('.selected_pickup_location').css('border-color', '');
	}

	if (jQuery(".calender-block").is(":visible")) {

		var date = jQuery(".datepicker").datepicker("getDate");
		if (date == '') {
			jQuery('.appt_date--items .ui-datepicker').attr('style', 'border-color: red !important');
			return;
		} else {
			jQuery('.appt_date--items .ui-datepicker').css('border-color', '');
		}
	}

	if (jQuery(".time-slot-block").is(":visible")) {
		var time = jQuery('.appt_time--items').val();
		if (time == '') {
			jQuery('.appt_time--items').attr('style', 'border-color: red !important');
			return;
		} else {
			jQuery('.appt_time--items').css('border-color', '');
		}
	}
	
	var data = {
		action: "alp_set_location_data_after_save",
		location_id: jQuery(".selected_pickup_location").val(),
		date: jQuery(".datepicker").datepicker("getDate"),
		time: jQuery(".appt_time--items").val(),
		nonce : alp_ajax_object.nonce
	};

	jQuery('#local_pickup_cart_checkout_popup_html select').css('border-color', '');

	jQuery.ajax({
		url: alp_ajax_object.alp_ajax_url,
		data: data, //form.serialize(),
		type: "POST",
		dataType: "json",
		success: function (response) {
			jQuery('#local_pickup_cart_checkout_popup_html').hide();
			location.reload();
		},
		error: function (response) {
			console.log(response);
		},
	});
	return false;
});