/*header script*/
jQuery(document).on("click", "#activity-panel-tab-help", function () {
	"use strict";
	jQuery(this).addClass('is-active');
	jQuery('.woocommerce-layout__activity-panel-wrapper').addClass('is-open is-switching');
});

jQuery(document).click(function (event) {
	"use strict";
	var $trigger = jQuery(".woocommerce-layout__activity-panel");
	if ($trigger !== event.target && !$trigger.has(event.target).length) {
		jQuery('#activity-panel-tab-help').removeClass('is-active');
		jQuery('.woocommerce-layout__activity-panel-wrapper').removeClass('is-open is-switching');
	}
});

jQuery(document).ready(function () {
	'use strict';
	var url;
	var $table = jQuery("#alp_fullfilments_table").DataTable({
		dom: "rti<'datatable_footer'pl>",
		searching: false,
		fixedHeader: true,
		"processing": true,
		"serverSide": true,	
		"pagingType": "simple",	
		"order": [[1, "desc"]],
		"ajax": {
			'type': 'POST',
			'url': ajaxurl + '?action=get_local_pickup_orders',
			'data': function (d) {
				d.ajax_nonce = jQuery("#alp_nonce_fullfillment_dashbaord").val();
				d.alp_fullfillment_date = jQuery("#alp_fullfillment_date").val();
				d.alp_unfulfilled_order_status = jQuery("#alp_unfulfilled_order_status").val();
				d.alp_fulfillment_filter = jQuery("#alp_fulfillment_filter").val();
				d.alp_fulfillment_filter_by_location = jQuery("#alp_fulfillment_filter_by_location").val();
				d.alp_fulfillment_filter_by_appointment = jQuery("#alp_fulfillment_filter_by_appointment").val();
				d.alp_fulfillment_search_input = jQuery("#alp_fulfillment_search_input").val();
				d.alp_shipping_method_filter = jQuery("#alp_shipping_method_filter").val();
			},
		},
		"lengthMenu": [[25, 50, -1], [25, 50, "All"]],
		"pageLength":25,
		"drawCallback": function(settings) {
			jQuery(window).resize();
		},
		
		"columns": [
			{
				'width': 40,
				'orderable': false,
				'data': 'checkbox',
			},
			{
				'width': 130,
				'orderable': true,
				'data': 'order_date',
			},
			{
				'width': 50,
				'orderable': false,
				"mRender": function (data, type, full) {
					return '<a href="' + alp_fulfillment_script.admin_url + 'post.php?post=' + full.order_id + '&action=edit">' + full.order_number + '</a>';
				},
			},
			{
				'width': 150,
				'orderable': false,
				'data': 'order_status',
			},
			{
				'width': 40,
				'orderable': false,
				'data': 'order_view',
			},
			{
				'orderable': false,
				'data': 'customer',
			},
			{
				'orderable': false,
				'data': 'item_count',
			},
			{
				'width': 125,
				'orderable': false,
				'data': 'locations',
			},
			{
				'width': 125,
				'orderable': false,
				'data': 'appointment_data',
			},
			{
				'orderable': false,
				'data': 'actions_html',
				"className": "text-right",
			},
		],
	});

	jQuery(document).on('change', '#alp_fulfillment_filter', function (e) {
		$table.ajax.reload();
	});
	jQuery(document).on('change', '#alp_fulfillment_filter_by_location', function (e) {
		$table.ajax.reload();
	});
	jQuery(document).on('change', '#alp_fulfillment_filter_by_appointment', function (e) {
		$table.ajax.reload();
	});
	jQuery(document).on('change', '#alp_shipping_method_filter', function (e) {
		$table.ajax.reload();
	});
	jQuery(document).on('click', '#alp_fulfillment_search_submit', function (e) {
		$table.ajax.reload();
	});

	jQuery(document).on('click', '#local_pickup_orders', function (e) {
		$table.ajax.reload();
	});

	jQuery(document).on('click', '.ready_for_pickup_icon', function (e) {
		e.preventDefault();
		var orderId = jQuery(this).data('order_id');
		var ajax_nonce = jQuery("#alp_nonce_fullfillment_dashbaord").val();

		jQuery.ajax({
			url: ajaxurl,
			data: {
				action: 'handle_local_pickup_action',
				order_id: orderId,
				status: 'ready-pickup',
				ajax_nonce: ajax_nonce,
			},
			type: 'POST',
			dataType: "json",
			success: function (response) {
				if (response.status === 'success') {
					$table.ajax.reload();
				}
			}
		});
	});

	jQuery(document).on('click', '.picked_up_icon', function (e) {
		e.preventDefault();
		var orderId = jQuery(this).data('order_id');
		var ajax_nonce = jQuery("#alp_nonce_fullfillment_dashbaord").val();

		jQuery.ajax({
			url: ajaxurl,
			data: {
				action: 'handle_local_pickup_action',
				order_id: orderId,
				status: 'pickup',
				ajax_nonce: ajax_nonce,
			},
			type: 'POST',
			dataType: "json",
			success: function (response) {
				if (response.status === 'success') {
					$table.ajax.reload();
				}
			}
		});
	});

	jQuery(document).on('click', '#doaction', function (event) {
		event.preventDefault()

		var obj = [];
		jQuery( "#alp_fullfilments_table .checkbox:checked" ).each(function( index ) {
			var id = jQuery(this).val();
			obj.push(id);	
		});

		if ( jQuery('#alp_fulfillment_bulk_action').val() == '' ) {
			return false;
		}

		jQuery('.dataTables_processing').show();
		jQuery('#checkAll').prop('checked', false);
		var status = jQuery("#alp_fulfillment_bulk_action").val();
		
		var ajax_nonce = jQuery("#alp_nonce_fullfillment_dashbaord").val();
		jQuery.ajax({
			url: ajaxurl + '?action=handle_fulfillment_bulk_action&ajax_nonce='+ ajax_nonce,
			data: {
				orders: obj,
				status: status,
			},
			type: 'POST',
			dataType: "json",
			success: function (response) {
				if (response.status === 'success') {
					$table.ajax.reload();
				}
			}
		});
	});

});

jQuery("#alp_fulfillment_search_input").keyup(function(event) {
	event.preventDefault()
	if (event.which === 13) {
		jQuery("#alp_fulfillment_search_submit").click();
	}
});

jQuery(document).on("click", " .popupclose, .popup_close_icon", function () {
	jQuery('.fulfilled_order_items_popup').hide();
});

jQuery(document).on("click", ".dashicons-ellipsis", function () {
	jQuery('.fulfillment_actions_list').hide();
	jQuery(this).next('.fulfillment_actions_list').show();
	var Div = jQuery(this);
	setTimeout(function () {
		jQuery(Div).next('.fulfillment_actions_list').hide();
	}, 3000);
});

jQuery(document).on("click", ".alp-fulfillment-order-preview", function () {
	var $previewButton = jQuery(this),
		$order_id = $previewButton.data('orderId');

	if ($previewButton.data('order-data')) {
		jQuery(this).WCBackboneModal({
			template: 'wc-modal-view-order',
			variable: $previewButton.data('orderData')
		});
	} else {
		$previewButton.addClass('disabled');

		jQuery.ajax({
			url: ajaxurl,
			data: {
				order_id: $order_id,
				action: 'woocommerce_get_order_details',
				security: alp_fulfillment_script.preview_nonce
			},
			type: 'GET',
			success: function (response) {
				jQuery('.order-preview').removeClass('disabled');

				if (response.success) {
					$previewButton.data('orderData', response.data);

					jQuery(this).WCBackboneModal({
						template: 'wc-modal-view-order',
						variable: response.data
					});
				}
			}
		});
	}
	return false;
});

jQuery(document).on('click', '#checkAll', function (e) {
	jQuery('#alp_fullfilments_table input:checkbox').attr('checked', false);
	if (jQuery(this).prop('checked') == true) {
		jQuery('#alp_fullfilments_table input:checkbox').attr('checked', true);
	}
	
});