<table class="form-table">
	<tbody>
		<tr valign="top" class="">								
			<th>
				<label for=""><?php esc_html_e( 'Products', 'woocommerce' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'choose a multiple include products for store.', 'advanced-local-pickup-pro' ); ?>"></span></label>
			</th>
			<td class="forminp">
				<?php 
				$all_ids = get_posts( array(
					'post_type' => 'product',
						'numberposts' => -1,
						'post_status' => 'publish',
						'fields' => 'ids',
					)
				);
				$products = array();
				foreach ( $all_ids as $uid ) {
					$products[$uid] = wc_get_product( $uid )->get_name();
				}
				?>
				<fieldset>
					<select multiple class="select select2 wclp_selected_products" id="wclp_selected_products" name="wclp_selected_products[]" data-placeholder="<?php esc_attr_e( 'Search for a product...', 'woocommerce' ); ?>" autocomplete="false" title="<?php esc_attr_e( 'Products', 'woocommerce' ); ?>" class="wc-enhanced-select">
					<?php
					if ( !empty($products) ) {
						foreach ($products as $id2 => $name) { 
							?>
							<option value="<?php echo esc_attr($id2); ?>" <?php echo ( isset($location->store_selected_products) && in_array($id2, (array) unserialize($location->store_selected_products)) ) ?  'selected="selected"' : ''; ?>><?php echo esc_html($name); ?></option>
						<?php 
						}
					}
					?>
					</select>
				</fieldset>                
			</td> 
		</tr>
		<tr valign="top" class="">								
			<th>
				<label for=""><?php esc_html_e( 'Exclude products', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'choose a multiple exclude products for store.', 'advanced-local-pickup-pro' ); ?>"></span></label>
			</th>
			<td class="forminp">
				<?php 
				$all_ids = get_posts( array(
					'post_type' => 'product',
						'numberposts' => -1,
						'post_status' => 'publish',
						'fields' => 'ids',
					)
				);
				$products = array();
				foreach ( $all_ids as $id3 ) {
					$products[$id3] = wc_get_product( $id3 )->get_name();
				}
				?>
				<fieldset>
					<select multiple class="select select2 wclp_excluded_products" id="wclp_excluded_products" name="wclp_excluded_products[]" data-placeholder="<?php esc_attr_e( 'Search for a product...', 'woocommerce' ); ?>" autocomplete="false" title="<?php esc_attr_e( 'Products', 'woocommerce' ); ?>"
					class="wc-enhanced-select">
					<?php
					if ( !empty($products) ) {
						foreach ($products as $id4 => $name) { 
							?>
							<option value="<?php echo esc_attr($id4); ?>" <?php echo ( isset($location->store_excluded_products) && in_array($id4, (array) unserialize($location->store_excluded_products) ) ) ? 'selected="selected"' : ''; ?>><?php echo esc_html($name); ?></option>
						<?php 
						}
					}
					?>
					</select>
				</fieldset>                
			</td>
		</tr>
		<tr valign="top" class="">								
			<th>
				<label for=""><?php esc_html_e( 'Product categories', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'choose a multiple include product categories for store.', 'advanced-local-pickup-pro' ); ?>"></span></label>
			</th>
			<td class="forminp">
				<?php 
				$cat_args = array(
					'taxonomy' => 'product_cat',
					'orderby'    => 'name',
					'order'      => 'ASC',
					'hide_empty' => false,
				);

				$product_categories = get_terms( $cat_args );
				?>
				<fieldset>
					<select multiple class="select select2 wclp_selected_categories" id="wclp_selected_categories" name="wclp_selected_categories[]" data-placeholder="<?php esc_attr_e( 'Search for a category...', 'woocommerce' ); ?>" autocomplete="false" title="<?php esc_attr_e( 'Category', 'woocommerce' ); ?>"
					class="wc-enhanced-select">
					<?php
					if ( !empty($product_categories) ) {
						foreach ($product_categories as $key => $category) { 
							?>
							<option value="<?php echo esc_attr($category->term_id); ?>" <?php echo ( isset($location->store_selected_categories) && in_array($category->term_id, (array) unserialize($location->store_selected_categories) ) ) ? 'selected="selected"' : ''; ?>><?php echo esc_html($category->name); ?></option>
						<?php 
						}
					}
					?>
					</select>
				</fieldset>                
			</td>
		</tr>
		<tr valign="top" class="">								
			<th>
				<label for=""><?php esc_html_e( 'Exclude categories', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'choose a multiple exclude product categories for store.', 'advanced-local-pickup-pro' ); ?>"></span></label>
			</th>
			<td class="forminp">
				<?php 
				$cat_args = array(
					'taxonomy' => 'product_cat',
					'orderby'    => 'name',
					'order'      => 'ASC',
					'hide_empty' => false,
				);

				$product_categories = get_terms( $cat_args );
				?>
				<fieldset>
					<select multiple class="select select2 wclp_excluded_categories" id="wclp_excluded_categories" name="wclp_excluded_categories[]" data-placeholder="<?php esc_attr_e( 'Search for a category...', 'woocommerce' ); ?>" autocomplete="false" title="<?php esc_attr_e( 'Category', 'woocommerce' ); ?>"
					class="wc-enhanced-select">
					<?php
					if ( !empty($product_categories) ) {
						foreach ($product_categories as $key => $category) { 
							?>
							<option value="<?php echo esc_attr($category->term_id); ?>" <?php echo ( isset($location->store_excluded_categories) && in_array($category->term_id, (array) unserialize($location->store_excluded_categories) ) ) ? 'selected="selected"' : ''; ?>><?php echo esc_html($category->name); ?></option>
						<?php 
						}
					}
					?>
					</select>
				</fieldset>                
			</td>
		</tr>
	</tbody>
</table>
