<?php 
$location_id = isset( $_REQUEST['id'] ) ? sanitize_text_field($_REQUEST['id']) : '0';
$location = array();
$locations = alp_pro_addon()->admin->get_data();
$location = alp_pro_addon()->admin->get_data_byid($location_id);
?>
<section class="pickup-location-setting">
	<div class="location-setting  location-tab">
		<form method="post" id="wclp_location_tab_form">
			<div class="accordion heading address-special">
				<label><?php esc_html_e( 'Name & Type', 'advanced-local-pickup-pro' ); ?>
				<span class="wclp-btn">
					<div class="spinner workflow_spinner" style="float:none"></div>
					<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
					<span class="alp_error_msg"></span>								
					<?php wp_nonce_field( 'wclp_location_edit_form_action', 'wclp_location_edit_form_nonce_field' ); ?>
					<input type="hidden" id="wclp_apply_work_hours_nonce" value="<?php esc_html_e( wp_create_nonce( 'wclp_apply_work_hours_nonce' ) ); ?>">
					<input type="hidden" name="action" value="wclp_location_edit_form_update">
				</span>
				<span class="dashicons dashicons-arrow-right-alt2"></span></label>
				<br>
				<span class="heading-subtitle">
					<?php echo ( isset( $location->store_name ) ) ? esc_html(stripslashes($location->store_name)) : ''; ?>
					<?php echo ( isset( $location->store_enable_appt ) && '1' == $location->store_enable_appt ) ? '<span class="appt-status"><span class="dashicons dashicons-yes"></span> Appointment' : ''; ?>
				</span>
			</div>
			
			<div class="panel options address-special">
				<?php include( 'html/address-special-options.php' ); ?>
			</div>
			
			<div class="accordion heading address">
				<label><?php esc_html_e( 'Address', 'advanced-local-pickup-pro' ); ?>
				<span class="wclp-btn">
					<div class="spinner workflow_spinner" style="float:none"></div>
					<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
					<span class="alp_error_msg"></span>								
					<input type="hidden" name="action" value="wclp_location_edit_form_update">
				</span>
				<span class="dashicons dashicons-arrow-right-alt2"></span></label>
				<br>
				<span class="heading-subtitle">
					<?php 
					$country_setting =  isset( $location->store_country ) ? $location->store_country : get_option('woocommerce_default_country') ; //get_option('woocommerce_default_country'));
					if ( strstr( $country_setting, ':' ) ) {
						$country_setting = explode( ':', $country_setting );
						$country         = current( $country_setting );
						$state           = end( $country_setting );
					} else {
						$country = $country_setting;
						$state   = '';
					}
					if (!empty( $location->store_address )) {
						echo esc_html($location->store_address);
					} 
					if (!empty( $location->store_address_2 )) {
						echo ', ';
						echo esc_html($location->store_address_2);
					} 
					if (!empty( $location->store_city )) {
						echo ', ';
						echo esc_html($location->store_city);
					} 
					if ( ( class_exists('Advanced_local_pickup_PRO') && isset( $location->store_display_country ) && '1' != $location->store_display_country ) ) {
						if (!empty($state) && !empty( $location->store_name )) {
							echo ', ';
							echo esc_html(WC()->countries->get_states( $country )[$state]);
						}
					}
					
					if (!empty( $location->store_postcode )) {
						echo ' - ';
						echo esc_html($location->store_postcode);
					}
					if ( ( class_exists('Advanced_local_pickup_PRO') && isset( $location->store_display_country ) && '1' != $location->store_display_country ) || !isset( $location->store_display_country ) ) {
						if ($country && !empty( $location->store_name )) {
							echo ', ';
							echo esc_html(WC()->countries->countries[$country]) . '.';
						}
					} 
					?>
				</span>
			</div>
			
			<div class="panel options address">
				<?php include( 'html/address-options.php' ); ?>
			</div>
			
			<div class="accordion heading business-hours" <?php echo ( isset( $location->store_enable_appt ) && '1' == $location->store_enable_appt ) ? 'style="display:none;"' : ''; ?> >
				<label><?php esc_html_e( 'Business Hours', 'advanced-local-pickup-pro' ); ?>
				<span class="wclp-btn">
					<div class="spinner workflow_spinner" style="float:none"></div>
					<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
					<span class="alp_error_msg"></span>								
					<input type="hidden" name="action" value="wclp_location_edit_form_update">
				</span>
				<span class="dashicons dashicons-arrow-right-alt2"></span></label>
				<br>
				
				<span class="heading-subtitle">
					<?php include( 'html/subtitle-business-hours-heading.php' ); ?>
				</span>
			
			</div>
			
			<div class="panel options business-hours" <?php echo ( isset( $location->store_enable_appt ) && '1' == $location->store_enable_appt ) ? 'style="display:none;"' : ''; ?>>
				<?php include( 'html/business-hours-options.php' ); ?>
			</div>
			
			<div class="accordion heading appointments" <?php echo ( !isset( $location->store_enable_appt ) || isset( $location->store_enable_appt ) && '1' != $location->store_enable_appt ) ? 'style="display:none;"' : ''; ?>>
				<label><?php esc_html_e( 'Pickup Appointments', 'advanced-local-pickup-pro' ); ?>
				<span class="wclp-btn">
					<div class="spinner workflow_spinner" style="float:none"></div>
					<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
					<span class="alp_error_msg"></span>								
					<input type="hidden" name="action" value="wclp_location_edit_form_update">
				</span>
				<span class="dashicons dashicons-arrow-right-alt2"></span></label>
				<br>
				<span class="heading-subtitle">
				<?php 
				$wclp_local_pickup_controls = get_option('wclp_local_pickup_controls');
				//if ( isset($wclp_local_pickup_controls['allow_pickup_per_item']) && 1 == $wclp_local_pickup_controls['allow_pickup_per_item'] ) {
					//esc_html_e( 'The Appointment features are not working for the pickup per item option.', 'advanced-local-pickup-pro' );
				//} else {
					esc_html_e( 'Pickup time slots', 'advanced-local-pickup-pro' );
				//}
				?>
				</span>
			</div>
			
			<div class="panel options appointments" <?php echo ( !isset( $location->store_enable_appt ) || isset( $location->store_enable_appt ) && '1' != $location->store_enable_appt ) ? 'style="display:none;"' : ''; ?>>
				<?php include( 'html/appointments-options.php' ); ?>
			</div>
			
			<div class="accordion heading products">
				<label><?php esc_html_e( 'Products', 'woocommerce' ); ?>
				<span class="wclp-btn">
					<div class="spinner workflow_spinner" style="float:none"></div>
					<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
					<span class="alp_error_msg"></span>								
					<input type="hidden" name="action" value="wclp_location_edit_form_update">
				</span>
				<span class="dashicons dashicons-arrow-right-alt2"></span></label>
				<br><span class="heading-subtitle">
					<?php 
					if ( empty($location->store_selected_products) || empty($location->store_selected_categories) ) { 
						echo 'All Products';
					}
					if (!empty($location->store_selected_products) || !empty($location->store_selected_categories)) { 
						echo 'Included: ';
						if (!empty($location->store_selected_products) && count(unserialize($location->store_selected_products)) > 0) { 
							echo '<b>' . count(unserialize($location->store_selected_products)) . '</b> products,'; 
						} 
						if (!empty($location->store_selected_categories) && count(unserialize($location->store_selected_categories)) > 0) { 
							echo '<b>' . count(unserialize($location->store_selected_categories)) . '</b> categories';
						} 
						echo ', ';
					}
					if (!empty($location->store_excluded_products) || !empty($location->store_excluded_categories)) { 
						echo 'Excluded: '; 
						if (!empty($location->store_excluded_products) && count(unserialize($location->store_excluded_products)) > 0) { 
							echo '<b>' . count(unserialize($location->store_excluded_products)) . '</b> products,';
						}
						if (!empty($location->store_excluded_categories) && count(unserialize($location->store_excluded_categories)) > 0) { 
							echo '<b>' . count(unserialize($location->store_excluded_categories)) . '</b> categories';
						}
					}
					?>
				</span>
			</div>

			<div class="panel options products"> 
				<?php include( 'html/products-options.php' ); ?>
			</div>
			
			<div class="accordion heading shipping-methods">
				<label><?php esc_html_e( 'Shipping Method', 'advanced-local-pickup-pro' ); ?>
					<span class="wclp-btn">
						<div class="spinner workflow_spinner" style="float:none"></div>
						<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
						<span class="alp_error_msg"></span>								
						<input type="hidden" name="action" value="wclp_location_edit_form_update">
					</span>
					<span class="dashicons dashicons-arrow-right-alt2"></span>
				</label>
				<br><span class="heading-subtitle"></span>
			</div>
			
			<div class="panel options shipping-methods">
				<?php include( 'html/shipping-methods-options.php' ); ?>
			</div>
			<div class="accordion heading payment-methods">
				<label><?php esc_html_e( 'Payment Method', 'advanced-local-pickup-pro' ); ?>
					<span class="wclp-btn">
						<div class="spinner workflow_spinner" style="float:none"></div>
						<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
						<span class="alp_error_msg"></span>								
						<input type="hidden" name="action" value="wclp_location_edit_form_update">
					</span>
					<span class="dashicons dashicons-arrow-right-alt2"></span>
				</label>
				<br><span class="heading-subtitle"></span>
			</div>
			
			<div class="panel options payment-methods">
				<?php include( 'html/payment-methods-options.php' ); ?>
			</div>
			<div class="accordion heading price-adjust">
				<label><?php esc_html_e( 'Price Adjustments', 'advanced-local-pickup-pro' ); ?>
					<span class="wclp-btn">
						<div class="spinner workflow_spinner" style="float:none"></div>
						<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
						<span class="alp_error_msg"></span>								
						<input type="hidden" name="action" value="wclp_location_edit_form_update">
					</span>
					<span class="dashicons dashicons-arrow-right-alt2"></span>
				</label>
				<br><span class="heading-subtitle">
					<?php
					if ( !empty( $location->store_price_adjustment ) && ( 'percentage_discount' == $location->store_price_adjustment ) ) {
						echo ( !empty( $location->store_price_amount ) ) ? wp_kses_post($location->store_price_amount) . '% off' : '';
					} else if ( !empty( $location->store_price_adjustment ) && ( 'fixed_discount' == $location->store_price_adjustment ) ) {
						echo ( !empty( $location->store_price_amount ) ) ? wp_kses_post(stripslashes(wc_price($location->store_price_amount))) . ' off' : '';
					} else if ( !empty( $location->store_price_adjustment ) && ( 'percentage_fee' == $location->store_price_adjustment ) ) {
						echo ( !empty( $location->store_price_amount ) ) ? wp_kses_post($location->store_price_amount) . '% fee' : '';
					} else if ( !empty( $location->store_price_adjustment ) && ( 'fixed_fee' == $location->store_price_adjustment ) ) {
						echo ( !empty( $location->store_price_amount ) ) ? wp_kses_post(stripslashes(wc_price($location->store_price_amount))) . ' fee' : '';
					} 
					?>
				</span>
			</div>
			
			<div class="panel options price-adjust">
				<?php include( 'html/price-adjust-options.php' ); ?>
			</div>
			
			<div class="accordion heading notification">
				<label><?php esc_html_e( 'Notifications', 'woocommerce' ); ?>
				<span class="wclp-btn">
					<div class="spinner workflow_spinner" style="float:none"></div>
					<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
					<span class="alp_error_msg"></span>								
					<input type="hidden" name="action" value="wclp_location_edit_form_update">
				</span>
				<span class="dashicons dashicons-arrow-right-alt2"></span></label>
				<br><span class="heading-subtitle">
				<?php 
				if (isset( $location->store_recipients )) {
					echo esc_html($location->store_recipients);
				} 
				?>
				</span>
			</div>
			
			<div class="panel options notification">
				<?php include( 'html/notification-options.php' ); ?>
			</div>
			<div class="accordion heading automation" <?php echo ( isset( $location->store_enable_appt ) && '1' == $location->store_enable_appt ) ? 'style="display:none;"' : ''; ?>>
				<label><?php esc_html_e( 'Automations', 'advanced-local-pickup-pro' ); ?>
				<span class="wclp-btn">
					<div class="spinner workflow_spinner" style="float:none"></div>
					<button name="save" class="wclp-save button-primary woocommerce-save-button btn_location_submit" type="submit" value="Save changes"><?php esc_html_e( 'Save & close', 'advanced-local-pickup-pro' ); ?></button>
					<span class="alp_error_msg"></span>								
					<input type="hidden" name="action" value="wclp_location_edit_form_update">
				</span>
				<span class="dashicons dashicons-arrow-right-alt2"></span></label>
				<br><span class="heading-subtitle"></span>
			</div>
			
			<div class="panel options automation" <?php echo ( isset( $location->store_enable_appt ) && '1' == $location->store_enable_appt ) ? 'style="display:none;"' : ''; ?>>
				<input type="hidden" name="wclp_enable_automation" value="0">
				<?php include( 'html/automation-options.php' ); ?>
			</div>
			<?php if ( isset( $location->id ) && $location->id > 0 ) { ?>
				<span id="<?php echo esc_html($location->id); ?>" class="location-delete  delete-btn"><a id="<?php echo esc_html($location->id); ?>" href="admin.php?page=local_pickup&tab=locations" class="link location-delete" ><?php esc_html_e( 'DELETE LOCATION', 'advanced-local-pickup-pro' ); ?></a></span>
			<?php } ?>
		</form>
	</div>
</section>
