<?php

$data = alp_pro_addon()->admin->get_data();
$location_id = get_option('location_defualt', min($data)->id);

$location = alp_pro_addon()->admin->get_data_byid($location_id);

$country_code = isset($location) ? $location->store_country : get_option('woocommerce_default_country');

$split_country = explode( ':', $country_code );
$store_country = isset($split_country[0]) ? $split_country[0] : '';
$store_state   = isset($split_country[1]) ? $split_country[1] : '';
		
$store_days = isset($location) ? unserialize($location->store_days) : array();
$all_days = array(
	'sunday' => esc_html( 'Sunday', 'advanced-local-pickup-pro' ),
	'monday' => esc_html( 'Monday', 'advanced-local-pickup-pro'),
	'tuesday' => esc_html( 'Tuesday', 'advanced-local-pickup-pro' ),
	'wednesday' => esc_html( 'Wednesday', 'advanced-local-pickup-pro' ),
	'thursday' => esc_html( 'Thursday', 'advanced-local-pickup-pro' ),
	'friday' => esc_html( 'Friday', 'advanced-local-pickup-pro' ),
	'saturday' => esc_html( 'Saturday', 'advanced-local-pickup-pro' ),
);
$w_day = array_slice($all_days, get_option('start_of_week'));
foreach ($all_days as $key=>$val) {
	$w_day[$key] = $val;
}
foreach ($store_days as $key => $val) {
	if ($w_day[$key]) {
		$w_day[$key] = $val;
	}
}
		
$wclp_default_time_format = isset($location->store_time_format) ? $location->store_time_format : '24';
if ('12' == $wclp_default_time_format) {
	foreach ($w_day as $key=>$val) {	
		if (isset($val['wclp_store_hour'])) {
			$last_digit = explode(':', $val['wclp_store_hour']);
			if ('00' == end($last_digit)) {
				$val['wclp_store_hour'] = gmdate('ga', strtotime($val['wclp_store_hour']));
			} else {
				$val['wclp_store_hour'] = gmdate('g:ia', strtotime($val['wclp_store_hour']));
			}
		}
		if (isset($val['wclp_store_hour_end'])) {
			$last_digit = explode(':', $val['wclp_store_hour_end']);
			if ('00' == end($last_digit)) {
				$val['wclp_store_hour_end'] = gmdate('ga', strtotime($val['wclp_store_hour_end']));
			} else {
				$val['wclp_store_hour_end'] = gmdate('g:ia', strtotime($val['wclp_store_hour_end']));
			}
		}
		$w_day[$key] = $val;				
	}	
}		
if (!empty($w_day)) { 	
	$n = 0;
	$new_array = [];
	$previousValue = [];
	
	foreach ($w_day as $day=>$value) {				
		if (isset($value['checked']) && 1 == $value['checked']) {																	
			if ($value != $previousValue) {
				$n++;
			}
			$new_array[$n][$day] = $value;					
			$previousValue = $value;
		} else {
			$n++;
			$new_array[$n][$day] = '';	
			$previousValue = '';
		}							
	}
}
	
$alp = new Advanced_Local_Pickup_Admin();
$settings = alp_pro_addon()->customizer->customize_setting_options_func();

$hide_widget_header = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'hide_widget_header', $settings['pickup_instruction_customize_settings[hide_widget_header]']['default'] );

$widget_header_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'widget_header_text', $settings['pickup_instruction_customize_settings[widget_header_text]']['default']);

$widget_layout = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'widget_layout', $settings['pickup_instruction_customize_settings[widget_layout]']['default']);

$hide_hours_header = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'hide_hours_header', $settings['pickup_instruction_customize_settings[hide_hours_header]']['default']);

$border_color = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'border_color', $settings['pickup_instruction_customize_settings[border_color]']['default']);

$background_color = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'background_color', $settings['pickup_instruction_customize_settings[background_color]']['default']);

$padding = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'padding', $settings['pickup_instruction_customize_settings[padding]']['default']);

$hide_addres_header = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'hide_addres_header', $settings['pickup_instruction_customize_settings[hide_addres_header]']['default']);

$addres_header_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'addres_header_text', $settings['pickup_instruction_customize_settings[addres_header_text]']['default']);

$header_hours_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'header_hours_text', $settings['pickup_instruction_customize_settings[header_hours_text]']['default']);

$header_appointment_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'header_appointment_text', 'Appointment detail');

?>
<?php if ('yes' != $hide_widget_header) { ?>
	<h2 class="local_pickup_email_title"><?php esc_html_e($widget_header_text, 'advanced-local-pickup-pro'); ?></h2>
<?php } ?>
<div class="wclp_mail_address">
	<div class="wclp_location_box <?php echo ( !empty($new_array) ) ? 'wclp_location_box1' : ''; ?>">
		<?php if ('yes' != $hide_headers) { ?>
		<div class="wclp_location_box_heading">
			<span style="border-right:0;"><?php esc_html_e($header_address_text, 'advanced-local-pickup-pro'); ?></span>
		</div>
		<?php } ?>
		<div class="wclp_location_box_content">
			<p class="wclp_pickup_adress_p"><?php echo ( !empty($location->store_name) ) ? esc_html($location->store_name) : ''; ?></p>
			<p class="wclp_pickup_adress_p">
			<?php 
				echo ( !empty($location->store_address) ) ? esc_html($location->store_address) : '';
				echo ( !empty($location->store_address_2) ) ? ', ' : ''; 
				echo ( !empty($location->store_address_2) ) ? esc_html($location->store_address_2) : '';
			?>
			</p>
			<p class="wclp_pickup_adress_p">
				<?php 
				if ( !empty($location->store_city) ) { 
					echo esc_html($location->store_city); 
					if ('' != $store_state) {
						echo ', ';
					}
				}
				if ( ( isset( $location->store_display_country ) && '1' != $location->store_display_country ) || !isset( $location->store_display_country ) ) { 
					if ('' != $store_state) {
						echo esc_html(WC()->countries->get_states( $store_country )[$store_state]);
					}
					if ($store_country) {
						echo ', ';
					}
					if ($store_country) {
						echo esc_html(WC()->countries->countries[$store_country]);
					}
					if (!empty($location->store_postcode)) {
						echo ', ';
					}
				}
				if (!empty($location->store_postcode)) {
					echo esc_html($location->store_postcode);
				}
				?>
			</p>
			<?php if (!empty($location->store_phone)) { ?>
				<p class="wclp_pickup_adress_p"><?php echo esc_html($location->store_phone); ?></p>
			<?php } ?>
			<?php if (!empty($location->store_instruction)) { ?>
				<p class="wclp_pickup_adress_p"><?php echo esc_html($location->store_instruction); ?></p>
			<?php } ?>
		</div>
	</div>
<?php 
if (!empty($w_day)) { 	
	if (!empty($new_array)) {	
	$resultEmpty = array_filter(array_map('array_filter', $new_array));
		?>
	<div class="wclp_location_box <?php echo ( !empty($new_array) ) ? 'wclp_location_box2' : ''; ?>" <?php echo ( 0 == count($resultEmpty) ) ? 'style="display:none;"' : ''; ?>>
		<?php if ( 'yes' != $hide_headers ) { ?>
			<?php if ( 'yes' != $hide_business_hour_text ) { ?>
				<div class="wclp_location_box_heading">
					<?php esc_html_e($header_business_text, 'advanced-local-pickup-pro'); ?>
				</div>
			<?php } ?>
		<?php } ?>
		<div class="wclp_location_box_content">
			<?php
			foreach ($new_array as $key => $data) {
				if (1 == count($data)) {							
					if (isset(reset($data)['wclp_store_hour']) && '' != reset($data)['wclp_store_hour'] && isset(reset($data)['wclp_store_hour_end']) && '' != reset($data)['wclp_store_hour_end'] ) {
						reset($data);
						?>
						<p class="wclp_work_hours_p"><?php echo esc_html(ucfirst(key($data)), 'advanced-local-pickup-pro'); ?><span>: 
						<?php 
						echo esc_html(reset($data)['wclp_store_hour']) . ' '; 
						echo ' - '; 
						echo esc_html(reset($data)['wclp_store_hour_end']); 
						?>
						<?php if (isset(reset($data)['wclp_store_hour2']) && '' != reset($data)['wclp_store_hour2'] && isset(reset($data)['wclp_store_hour_end2']) && '' != reset($data)['wclp_store_hour_end2']) { ?>
							<span> & </span>
							<?php 
							echo esc_html(reset($data)['wclp_store_hour2']) . ' '; 
							echo ' - '; 
							echo esc_html(reset($data)['wclp_store_hour_end2']);
						} 
						?>
						</span>	
						</p>								
				<?php } } ?>						
				<?php
				if (count($data) == 2) {
					if (isset(reset($data)['wclp_store_hour']) && '' != reset($data)['wclp_store_hour'] && isset(reset($data)['wclp_store_hour_end']) && '' != reset($data)['wclp_store_hour_end']) {
						reset($data);
						$array_key_first = key($data);
						end($data);
						$array_key_last = key($data);
						?>
					<p class="wclp_work_hours_p"><?php echo esc_html(ucfirst($array_key_first), 'advanced-local-pickup-pro'); ?><span> - </span><?php echo esc_html(ucfirst($array_key_last), 'advanced-local-pickup-pro'); ?><span>: 
					<?php 
					echo esc_html(reset($data)['wclp_store_hour']) . ''; 
					echo '-'; 
					echo esc_html(reset($data)['wclp_store_hour_end']);
						?>
					<?php if (isset(reset($data)['wclp_store_hour2']) && '' != reset($data)['wclp_store_hour2'] && isset(reset($data)['wclp_store_hour_end2']) && '' != reset($data)['wclp_store_hour_end2']) { ?>
						<span> & </span>
						<?php 
							echo esc_html(reset($data)['wclp_store_hour2']) . ' '; 
							echo ' - '; 
							echo esc_html(reset($data)['wclp_store_hour_end2']);
						} 
						?>
					</span>		
					</p>
				<?php } } ?>									
				<?php 
				if (count($data) > 2) { 
					if (isset(reset($data)['wclp_store_hour']) && '' != reset($data)['wclp_store_hour'] && isset(reset($data)['wclp_store_hour_end']) && '' != reset($data)['wclp_store_hour_end']) {
					reset($data);
					$array_key_first = key($data);
					end($data);
					$array_key_last = key($data);		
						?>
					<p class="wclp_work_hours_p">
					<?php echo esc_html(ucfirst($array_key_first), 'advanced-local-pickup-pro'); ?> <?php echo esc_html(' To', 'advanced-local-pickup-pro'); ?> <?php echo esc_html(ucfirst($array_key_last), 'advanced-local-pickup-pro'); ?><span>: 
					<?php 
						echo esc_html(reset($data)['wclp_store_hour']) . ''; 
						echo '-'; 
						echo esc_html(reset($data)['wclp_store_hour_end']); 
						?>
					<?php 
						if (isset(reset($data)['wclp_store_hour2']) && '' != reset($data)['wclp_store_hour2'] && isset(reset($data)['wclp_store_hour_end2']) && '' != reset($data)['wclp_store_hour_end2']) { 
							?>
					<span> & </span>
					<?php 
						echo esc_html(reset($data)['wclp_store_hour2']) . ' '; 
						echo ' - '; 
						echo esc_html(reset($data)['wclp_store_hour_end2']);
						} 
						?>
					</span>	
					</p>
					<?php
					} }
			}	
			if (class_exists('Advanced_local_pickup_PRO')) {
				if (!empty($location->store_holiday_message)) { 
					?>
					<br><p class="wclp_pickup_adress_p"><?php echo esc_html($location->store_holiday_message); ?></p>
				<?php 
				}
			}
			?>
		</div>		
	</div>
<?php } } ?>
</div>
<style>
	body.wclp_preview_body {
		background: #fff;
		padding: 30px;
	}
	.pickup-instruction {
		margin-bottom: 1em;
	}
	.wclp_mail_address{
		margin: 5px 0 20px;
		border: 1px solid <?php echo esc_html($border_color); ?>;
		padding: <?php echo esc_html($padding); ?>;
		background:<?php echo esc_html($background_color); ?>;
	}
	.local_pickup_email_title{
		margin-bottom: 10px !important;
		font-weight: 400;
		color: #333;
	}
	.wclp_location_box{
		display: inline-block;
		width: 49%;
		vertical-align: top;
	}
	.wclp_location_box_heading {
		font-size: <?php echo esc_html($header_font_size); ?>;
		color: <?php echo esc_html($header_font_color); ?>;
		font-weight: bold;
		text-align: inherit;
	}
	.wclp_work_hours_p{
		margin: 0 !important;
		line-height: 1.5;
		color: #333;
	}
	.wclp_pickup_adress_p{
		margin: 0 !important;
		line-height: 1.5;
		color: #333;
	}
	<?php if ('1colums' == $widget_layout) { ?>
	.wclp_location_box2{
		padding-top: <?php echo esc_html($padding); ?>;
	}
	.wclp_location_box{
		width: 100%;
	}
	.wclp_mail_address{
		width: 50%;
	}
	<?php } ?>
	@media screen and (max-width: 500px) {
	.wclp_location_box2{
		padding-top: <?php echo esc_html($padding); ?>;
	}
	.wclp_location_box{
		width: 100% !important;
	}
	}
</style>
