<?php
$alp = new Advanced_Local_Pickup_Admin();

$settings = alp_pro_addon()->customizer->customize_setting_options_func('pickup_reminder');

$hide_widget_header = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'hide_widget_header', $settings['hide_widget_header']['default'] );

$widget_header_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'widget_header_text', $settings['widget_header_text']['default']);

$widget_layout = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'widget_layout', $settings['widget_layout']['default']);

$hide_hours_header = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'hide_hours_header', $settings['hide_hours_header']['default']);

$border_color = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'border_color', $settings['border_color']['default']);

$background_color = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'background_color', $settings['background_color']['default']);

$padding = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'padding', $settings['padding']['default']);

$hide_addres_header = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'hide_addres_header', $settings['hide_addres_header']['default']);

$addres_header_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'addres_header_text', $settings['addres_header_text']['default']);

$header_hours_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'header_hours_text', $settings['header_hours_text']['default']);

$header_appointment_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'header_appointment_text', esc_html__( 'Appointment details', 'advanced-local-pickup-pro' ));

// pickup instruction loop data
$Order = wc_get_order( $order_id );
$location_ids = $Order ? $Order->get_meta( 'alp_location_ids', true ) : '';

if (empty($location_ids)) {
	return;
}

?>
<div class="pickup-instruction">
	<h2 class="local_pickup_email_title1" style="<?php '1' != $hide_widget_header ? esc_attr_e( 'display:block' ) : esc_attr_e( 'display:none' ); ?>"><?php esc_html_e($widget_header_text, 'advanced-local-pickup-pro'); ?></h2>
<?php
$appt_data = $Order ? $Order->get_meta( 'alp_appt_data', true ) : '';

foreach ( array_unique($location_ids) as $product_id => $location_id ) {
	$Order = wc_get_order( $order_id );
	$items = $Order->get_items();
	$new_product_data = array();
	$shipping_data = array();
	
	foreach ( $location_ids as $ID => $uid) {
		foreach ( $items as $item ) {
			$item_id = $item->get_id();
			$product_id = $item->get_variation_id() > 0 ? $item->get_variation_id() : $item->get_product_id();
			if ($ID == $item_id || $ID == $product_id) { 
				$product_name = $item->get_name();
				$qty = $item->get_quantity();
				$sku = $item->get_product()->get_sku();
			}
			
			if ( isset($appt_data) && !empty($appt_data) ) {
				if ( isset($appt_data[$Order->get_id()][$ID]) ) {
					$val = $appt_data[$Order->get_id()][$ID];
					$date = isset( $val[ 'pickup_date' ] ) ? $val[ 'pickup_date' ] : '';
					$time = isset( $val[ 'pickup_time' ] ) ? $val[ 'pickup_time' ] : '';
				} else {
					$val = $appt_data[$Order->get_id()];
					$date = isset( $val[ 'pickup_date' ] ) ? $val[ 'pickup_date' ] : '';
					$time = isset( $val[ 'pickup_time' ] ) ? $val[ 'pickup_time' ] : '';
				}
			}
		}

		$new_product_data[$ID] = array(
			'location_id' => $uid,
			'date'	=> $date,
			'time' => $time,
			'product' => $product_name . '(' . $sku . ') x ' . $qty,
		);

	}
	$outputArray = alp_pro_addon()->common->get_grouping_array_of_appt_data($new_product_data);
	$location = alp_pro_addon()->admin->get_data_byid($location_id);
	$store_address = alp_pro_addon()->admin->get_store_address_by_id($location_id);
	$store_hours = alp_pro_addon()->admin->get_store_hours_by_id($location_id);
	$store_address = !empty($store_address) ? $store_address : '';
	$store_hours = !empty($store_hours) ? $store_hours : '';
	
	$location->store_name = isset($location->store_name) ? apply_filters( 'wpml_translate_single_string', $location->store_name, 'advanced-local-pickup-pro', $location->store_name ) : '';
	$location->store_instruction = isset($location->store_instruction) ? apply_filters( 'wpml_translate_single_string', $location->store_instruction, 'advanced-local-pickup-pro', $location->store_instruction ) : '';
	$location->store_holiday_message = isset($location->store_holiday_message) ? apply_filters( 'wpml_translate_single_string', $location->store_holiday_message, 'advanced-local-pickup-pro', $location->store_holiday_message ) : '';

} ?>
</div> 
<?php if (!empty($outputArray)) { ?>
		<?php foreach ($outputArray as $data) { ?>
			<?php $product_item_data = isset($data['product']) ? $data['product'] : ''; ?>
			<?php if ( !empty($product_item_data) ) { ?>
				<span style="line-height: 1.3;"><strong><?php esc_html_e('Products to pick up:', 'advanced-local-pickup-pro'); ?></strong> <br><?php echo esc_html($product_item_data); ?></span>
			<?php } ?>
			<?php
			$location_id = isset($data['location_id']) ? $data['location_id'] : '';
			$location = alp_pro_addon()->admin->get_data_byid($location_id);
			$store_address = alp_pro_addon()->admin->get_store_address_by_id($location_id);
			$store_hours = alp_pro_addon()->admin->get_store_hours_by_id($location_id);
			$store_address = !empty($store_address) ? $store_address : '';
			$store_hours = !empty($store_hours) ? $store_hours : '';
			
			$location->store_name = isset($location->store_name) ? apply_filters( 'wpml_translate_single_string', $location->store_name, 'advanced-local-pickup-pro', $location->store_name ) : '';
			$location->store_instruction = isset($location->store_instruction) ? apply_filters( 'wpml_translate_single_string', $location->store_instruction, 'advanced-local-pickup-pro', $location->store_instruction ) : '';
			$location->store_holiday_message = isset($location->store_holiday_message) ? apply_filters( 'wpml_translate_single_string', $location->store_holiday_message, 'advanced-local-pickup-pro', $location->store_holiday_message ) : '';


			//appointment details
			$date = isset($data['date']) ? $data['date'] : '';
			$time = isset($data['time']) ? $data['time'] : '';

			?>
			<div class="wclp_mail_address">
				<div class="wclp_location_box <?php echo ( !empty($store_address) ) ? 'wclp_location_box1' : ''; ?>">
					<div class="wclp_location_box_heading" style="<?php '1' != $hide_addres_header ? esc_attr_e( 'display:block' ) : esc_attr_e( 'display:none' ); ?>">
						<span style="border-right:0;"><?php esc_html_e($addres_header_text, 'advanced-local-pickup-pro'); ?></span>
					</div>
					<div class="wclp_location_box_content">
						<p class="wclp_pickup_adress_p"><?php echo ( !empty($location->store_name) ) ? esc_html($location->store_name) : ''; ?></p>
						<p class="wclp_pickup_adress_p"><?php echo wp_kses_post($store_address); ?></p>
						<?php if (!empty($location->store_phone)) { ?>
							<p class="wclp_pickup_adress_p"><?php echo esc_html($location->store_phone); ?></p>
						<?php } ?>
						<?php if (!empty($location->store_instruction)) { ?>
							<p class="wclp_pickup_adress_p"><?php echo esc_html($location->store_instruction); ?></p>
						<?php } ?>
					</div>
				</div>
				<?php if ( !empty($date) && !empty($time) ) { ?>
				<div class="wclp_location_box wclp_location_box2">
					<div class="wclp_location_box_heading">
						<?php esc_html_e($header_appointment_text, 'advanced-local-pickup-pro'); ?>
					</div>	
					<p class="wclp_pickup_adress_p">
						<?php esc_html_e('Date/Time:', 'advanced-local-pickup-pro'); ?> <?php echo !empty($date) && !empty($time) ? esc_html(gmdate(get_option('date_format'), strtotime($date))) . ' ' . esc_html($time) : ''; ?>
					</p>
				</div>
				<?php } else { ?>
					<div class="wclp_location_box <?php echo ( !empty( $store_hours ) ) ? 'wclp_location_box2' : ''; ?>" >
						<div class="wclp_location_box_heading" style="<?php '1' != $hide_hours_header ? esc_attr_e( 'display:block' ) : esc_attr_e( 'display:none' ); ?>">
							<?php esc_html_e($header_hours_text, 'advanced-local-pickup-pro'); ?>
						</div>
						<div class="wclp_location_box_content">
						<?php 
						if (!empty($store_hours)) { 
							?>
							<p class="wclp_work_hours_p"><?php echo wp_kses_post( $store_hours ); ?></p><br>
							<?php 
						}
						$thisMonthHolidays = array();
						if (isset($location->store_public_holidays) && !empty($location->store_public_holidays)) { 
							$holidays = explode(',', $location->store_public_holidays);
							foreach ($holidays as $key => $value) {
								$date = str_replace('/', '-', $value);
								if ( gmdate('m', strtotime($date)) == gmdate('m') ) {
									$thisMonthHolidays[] = gmdate(get_option('date_format'), strtotime($date));
								}
							}
							if (!empty($thisMonthHolidays)) {
								?>
								<p class="wclp_pickup_adress_p">
									<strong><?php esc_html_e('Holidays :', 'advanced-local-pickup-pro'); ?></strong> <?php echo esc_html(implode(', ', $thisMonthHolidays)); ?>
								</p>
								<?php
							}
						}
						if (!empty($location->store_holiday_message)) { 
							?>
							<p class="wclp_pickup_adress_p"><?php echo esc_html($location->store_holiday_message); ?></p>
							<?php 
						}
						?>
						</div>
					</div>
				<?php } ?>
			</div>
		<?php } ?>
	<?php } ?>
<?php
$Order = wc_get_order( $order_id );
if ( isset( $email_id ) && ( 'customer_processing_renewal_order' == $email_id || 'customer_completed_renewal_order' == $email_id ) ) {
	echo '<p>'; 
	/* translators: %s: search term */
	printf( esc_html__('Change the pickup location from %1$shere%2$s', 'advanced-local-pickup-pro'), '<a href="' . esc_url($Order->get_view_order_url()) . '?wcs_renewal_order=true">', '</a>' ); 
	echo '</p>';
}
?>
<style>
	body.wclp_preview_body {
		background: #fff;
		padding: 30px;
	}
	.pickup-instruction {
		margin-bottom: 1em;
	}
	.wclp_mail_address{
		margin: 5px 0 20px;
		border: 1px solid <?php echo esc_html($border_color); ?>;
		padding: <?php echo esc_html($padding); ?>;
		background:<?php echo esc_html($background_color); ?>;
	}
	.local_pickup_email_title{
		margin-bottom: 10px !important;
		font-weight: 400;
		color: #333;
	}
	.wclp_location_box{
		display: inline-block;
		width: 49%;
		vertical-align: top;
	}
	.wclp_location_box_heading {
		font-weight: bold;
		text-align: inherit;
	}
	.wclp_work_hours_p{
		margin: 0 !important;
		line-height: 1.5;
		color: #333;
	}
	.wclp_pickup_adress_p{
		margin: 0 !important;
		line-height: 1.5;
		color: #333;
	}
	<?php if ('1colums' == $widget_layout) { ?>
	.wclp_location_box2{
		padding-top: <?php echo esc_html($padding); ?>;
	}
	.wclp_location_box{
		width: 100%;
	}
	.wclp_mail_address{
		width: 50%;
	}
	<?php } ?>
	@media screen and (max-width: 500px) {
	.wclp_location_box2{
		padding-top: <?php echo esc_html($padding); ?>;
	}
	.wclp_location_box{
		width: 100% !important;
	}
	}
</style>
