<?php 
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$text_align = is_rtl() ? 'right' : 'left';
$Order = wc_get_order($order_id);
$billing_first_name = ( version_compare( WOOCOMMERCE_VERSION, '3.0.0' ) < 0 ) ? $Order->billing_first_name : $Order->get_billing_first_name();
$billing_last_name = ( version_compare( WOOCOMMERCE_VERSION, '3.0.0' ) < 0 ) ? $Order->billing_last_name : $Order->get_billing_last_name(); 
$address    = $Order->get_formatted_billing_address();
?>
<p><?php echo esc_html('You’ve received the following pickup order notification from ' . $billing_first_name . ' ' . $billing_last_name . ':'); ?></p>
<h2><a href="<?php echo esc_html(get_edit_post_link( $order_id )); ?>">[Order # <?php echo esc_html($order_id); ?>]</a> (<?php echo esc_html(date_format($Order->get_date_created(), 'F d, Y')); ?>)</h2>
<div style="margin-bottom:40px">
	<table class="td" cellspacing="0" cellpadding="6" style="width: 100%; font-family: 'Helvetica Neue', Helvetica, Roboto, Arial, sans-serif;" border="1">
		<thead>
			<tr>
				<th class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;"><?php esc_html_e( 'Product', 'woocommerce' ); ?></th>
				<th class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;"><?php esc_html_e( 'Quantity', 'woocommerce' ); ?></th>
				<th class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;"><?php esc_html_e( 'Price', 'woocommerce' ); ?></th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($product_ids as $product_id) { ?>
				<?php 
				$product = wc_get_product( $product_id );
				$newprice = 0;
				foreach ($Order->get_items() as $item_id => $item ) {
					if ( $product_id == $item->get_product_id() ) { 
						?>
						<tr>
							<td scope="row" style="color:#636363;border:1px solid #e5e5e5;padding:12px;text-align:<?php echo esc_attr( $text_align ); ?>;"><?php echo esc_html($item->get_name() . ' (#' . $product->get_sku() . ')'); ?>
							</td>
							<td scope="row" style="color:#636363;border:1px solid #e5e5e5;padding:12px;text-align:<?php echo esc_attr( $text_align ); ?>;"><?php echo esc_html($item->get_quantity()); ?></td>
							<td scope="row" style="color:#636363;border:1px solid #e5e5e5;padding:12px;text-align:<?php echo esc_attr( $text_align ); ?>;"><?php echo wp_kses_post( $Order->get_formatted_line_subtotal( $item ) ); ?></td>
						</tr>
						<?php
						
						// Calclulat local pickup discount and fee
						if ( !empty($location->id) ) {
							$location = alp_pro_addon()->admin->get_data_byid($location->id);

							if (isset($location->store_apply_cart_adjustment_price) && '1' == $location->store_apply_cart_adjustment_price) {
								if ('percentage_discount' == $location->store_price_adjustment && $location->store_price_amount > 0) {
									$newprice -= ( $item->get_subtotal() * ( $location->store_price_amount / 100 ) );
								}
							}

							if (isset($location->store_price_adjustment) && 'fixed_discount' == $location->store_price_adjustment) {
								$newprice -= ( $location->store_price_amount );
							}
							if (isset($location->store_price_adjustment) && 'percentage_fee' == $location->store_price_adjustment && $location->store_price_amount > 0) {
								$newprice += ( $item->get_subtotal() * ( $location->store_price_amount / 100 ) );
							}
							if (isset($location->store_price_adjustment) && 'fixed_fee' == $location->store_price_adjustment) {
								$newprice += ( $location->store_price_amount );
							}
						}

					}
				}
			} 
			?>
			<?php if ( isset($newprice) && 0 != $newprice ) { ?>
			<tr>
				<td scope="row" style="color:#636363;border:1px solid #e5e5e5;padding:12px;text-align:<?php echo esc_attr( $text_align ); ?>;">
					<?php
					if ( $newprice > 0 ) {
						echo esc_html__('Local Pickup Fee', 'advanced-local-pickup-pro');
					} else {
						echo esc_html__('Local Pickup Discount', 'advanced-local-pickup-pro');
					}
					?>
				</td>
				<td scope="row" colspan="2" style="color:#636363;border:1px solid #e5e5e5;padding:12px;text-align:<?php echo esc_attr( $text_align ); ?>;">
					<?php echo wc_price(number_format($newprice, 2)); ?>
				</td>
			</tr>
			<?php } ?>
			<?php if ( !empty($Order->get_customer_note()) ) { ?>
			<tr>
				<td scope="row" colspan="3" style="color:#636363;border:1px solid #e5e5e5;padding:12px;text-align:<?php echo esc_attr( $text_align ); ?>;">
					<b><?php echo esc_html_e( 'Note:' ); ?></b> <?php print_r( $Order->get_customer_note() ); ?>
				</td>
			</tr>
			<?php } ?>
		</tbody>
	</table>
</div>
<?php if ( isset($appt_data['date']) && !empty($appt_data['date']) ) { ?>
	<table class="td" cellspacing="0" cellpadding="0" style="width: 100%;border:0; font-family: 'Helvetica Neue', Helvetica, Roboto, Arial, sans-serif;" border="0">
		<tbody>
			<tr>
				<td scope="row" class="appt-details" style="color:#636363;border:0;padding:0;text-align:<?php echo esc_attr( $text_align ); ?>;">
					<?php 
					$date = isset( $appt_data[ 'date' ] ) ? $appt_data[ 'date' ] : '';
					$time = isset( $appt_data[ 'time' ] ) ? $appt_data[ 'time' ] : '';
					?>
					<h2 class="local_pickup_email_title1"><?php esc_html_e('Pickup Appointment', 'advanced-local-pickup-pro'); ?></h2>
					<p style="margin:0 0 5px;"><?php esc_html_e('Store address:', 'advanced-local-pickup-pro'); ?> <?php echo esc_html( alp_pro_addon()->admin->get_store_address_by_id($location->id) ); ?></p>
					<p style="margin:0 0 20px;"><?php esc_html_e('Date/Time:', 'advanced-local-pickup-pro'); ?> <?php echo esc_html(gmdate(get_option('date_format'), strtotime($date)) . ' ' . $time); ?></p>
				</td>
			</tr>
		</tbody>
	</table>
<?php } ?>
<table id="addresses" cellspacing="0" cellpadding="0" style="width: 48%;float: left;margin-right: 20px; vertical-align: top; margin-bottom: 40px; padding:0;" border="0">
	<tr>
		<td style="text-align:<?php echo esc_attr( $text_align ); ?>; font-family: 'Helvetica Neue', Helvetica, Roboto, Arial, sans-serif; border:0; padding:0;" valign="top" width="50%">
			<h2 style="text-align:<?php echo esc_attr( $text_align ); ?>"><?php esc_html_e( 'Customer Details', 'woocommerce' ); ?></h2>

			<address class="address">
				<?php echo wp_kses_post( $address ? $address : esc_html__( 'N/A', 'woocommerce' ) ); ?>
				<?php if ( $Order->get_billing_phone() ) : ?>
					<br/><?php echo esc_html( $Order->get_billing_phone() ); ?>
				<?php endif; ?>
				<?php if ( $Order->get_billing_email() ) : ?>
					<br/><?php echo esc_html( $Order->get_billing_email() ); ?>
				<?php endif; ?>
			</address>
		</td>		
	</tr>
</table>
