<?php

$Order = wc_get_order($order_id);
$alp = new Advanced_Local_Pickup_Admin();

$settings = alp_pro_addon()->customizer->customize_setting_options_func('pickup_reminder');

$hide_widget_header = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'hide_widget_header', $settings['hide_widget_header']['default'] );

$widget_header_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'widget_header_text', $settings['widget_header_text']['default']);

$widget_layout = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'widget_layout', $settings['widget_layout']['default']);

$hide_hours_header = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'hide_hours_header', $settings['hide_hours_header']['default']);

$border_color = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'border_color', $settings['border_color']['default']);

$background_color = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'background_color', $settings['background_color']['default']);

$padding = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'padding', $settings['padding']['default']);

$hide_addres_header = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'hide_addres_header', $settings['hide_addres_header']['default']);

$addres_header_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'addres_header_text', $settings['addres_header_text']['default']);

$header_hours_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'header_hours_text', $settings['header_hours_text']['default']);

$header_appointment_text = $alp->get_option_value_from_array('pickup_instruction_customize_settings', 'header_appointment_text', esc_html__( 'Appointment details', 'advanced-local-pickup-pro' ));

?> 
<div class="pickup-instruction">
	<h2 class="local_pickup_email_title1" style="<?php '1' != $hide_widget_header ? esc_attr_e( 'display:block' ) : esc_attr_e( 'display:none' ); ?>"><?php echo esc_html($widget_header_text); ?></h2>
<?php 
$location = alp_pro_addon()->admin->get_data_byid($location_id);
$store_hours = alp_pro_addon()->admin->get_store_hours_by_id($location_id);
$store_hours = !empty($store_hours) ? $store_hours : '';
?>
	<div class="wclp_mail_address">
		<?php if ( isset($data[ 'date' ]) && !empty($data[ 'date' ]) ) { ?>	
			<div class="wclp_location_box wclp_location_box1">
				<div class="wclp_location_box_heading">
					<span style="border-right:0;"><?php esc_html_e($header_appointment_text, 'advanced-local-pickup-pro'); ?></span>
				</div>
				<div class="wclp_location_box_content">
					<?php 
					$date = isset( $data[ 'date' ] ) ? $data[ 'date' ] : '';
					$time = isset( $data[ 'time' ] ) ? $data[ 'time' ] : '';
					?>
					<p class="wclp_pickup_adress_p"><?php esc_html_e('Date:', 'advanced-local-pickup-pro'); ?> <?php echo esc_html(gmdate(get_option('date_format'), strtotime($date))); ?></p>
					<p class="wclp_pickup_adress_p"><?php esc_html_e('Time:', 'advanced-local-pickup-pro'); ?> <?php echo esc_html($time); ?></p>
				</div>
			</div>
			<div class="wclp_location_box wclp_location_box2" >
				<div class="wclp_location_box_heading" style="<?php '1' != $hide_addres_header ? esc_attr_e( 'display:block' ) : esc_attr_e( 'display:none' ); ?>">
					<?php esc_html_e($addres_header_text, 'advanced-local-pickup-pro'); ?>
				</div>
				<div class="wclp_location_box_content">
					<p class="wclp_pickup_adress_p"><?php echo esc_html(alp_pro_addon()->admin->get_store_address_by_id($location_id)); ?></p>
				</div>		
			</div>
		<?php } else { ?>
			<div class="wclp_location_box wclp_location_box1" >
				<div class="wclp_location_box_heading" style="<?php '1' != $hide_addres_header ? esc_attr_e( 'display:block' ) : esc_attr_e( 'display:none' ); ?>">
					<?php esc_html_e($addres_header_text, 'advanced-local-pickup-pro'); ?>
				</div>
				<div class="wclp_location_box_content">
					<p class="wclp_pickup_adress_p"><?php echo esc_html(alp_pro_addon()->admin->get_store_address_by_id($location_id)); ?></p>
				</div>		
			</div>
			<div class="wclp_location_box wclp_location_box2" >
				<div class="wclp_location_box_heading" style="">
					<?php esc_html_e($header_hours_text, 'advanced-local-pickup-pro'); ?>
				</div>
				<div class="wclp_location_box_content">
					<?php 
					if (!empty($store_hours)) { 
						?>
							<p class="wclp_work_hours_p"><?php echo wp_kses_post($store_hours); ?></p><br>
						<?php 
					}
					$thisMonthHolidays = array();
					if (isset($location->store_public_holidays) && !empty($location->store_public_holidays)) { 
						$holidays = explode(',', $location->store_public_holidays);
						foreach ($holidays as $key => $value) {
							$date = str_replace('/', '-', $value);
							if ( gmdate('m', strtotime($date)) == gmdate('m') ) {
								$thisMonthHolidays[] = gmdate(get_option('date_format'), strtotime($date));
							}
						}
						if (!empty($thisMonthHolidays)) {
							?>
							<p class="wclp_pickup_adress_p">
								<strong><?php esc_html_e('Holidays :', 'advanced-local-pickup-pro'); ?></strong> <?php echo esc_html(implode(', ', $thisMonthHolidays)); ?>
							</p>
							<?php 
						}
					}
					if (!empty($location->store_holiday_message)) { 
						?>
						<p class="wclp_pickup_adress_p"><?php echo esc_html($location->store_holiday_message); ?></p>
						<?php 
					}
					?>
				</div>		
			</div>
		<?php } ?>
	</div>
</div> 
<style>
	body.wclp_preview_body {
		background: #fff;
		padding: 30px;
	}
	.pickup-instruction {
		margin-bottom: 1em;
	}
	.wclp_mail_address{
		margin: 5px 0 20px;
		border: 1px solid <?php echo esc_html($border_color); ?>;
		padding: <?php echo esc_html($padding); ?>;
		background:<?php echo esc_html($background_color); ?>;
	}
	.local_pickup_email_title{
		margin-bottom: 10px !important;
		font-weight: 400;
		color: #333;
	}
	.wclp_location_box{
		display: inline-block;
		width: 49%;
		vertical-align: top;
	}
	.wclp_location_box_heading {
		font-weight: bold;
		text-align: inherit;
	}
	.wclp_work_hours_p{
		margin: 0 !important;
		line-height: 1.5;
		color: #333;
	}
	.wclp_pickup_adress_p{
		margin: 0 !important;
		line-height: 1.5;
		color: #333;
	}
	<?php if ('1colums' == $widget_layout) { ?>
	.wclp_location_box2{
		padding-top: <?php echo esc_html($padding); ?>;
	}
	.wclp_location_box{
		width: 100%;
	}
	.wclp_mail_address{
		width: 50%;
	}
	<?php } ?>
	@media screen and (max-width: 500px) {
	.wclp_location_box2{
		padding-top: <?php echo esc_html($padding); ?>;
	}
	.wclp_location_box{
		width: 100% !important;
	}
	}
</style>
