<?php 
/**
 * Pickup Email
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/bit-pending-payment-email.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates/Emails
 * @version 3.5.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$alp = new Advanced_Local_Pickup_Admin();
$appt_data = $order->get_meta( 'alp_appt_data', true );
if ( isset($appt_data) && empty($appt_data) ) {
	$additional_content = $alp->get_option_value_from_array('woocommerce_customer_pickup_reminder_order_settings', 'non_appointment_additional_content', 'Hi {customer_first_name}, This is a friendly non-appointment reminder about your upcoming pickup Order.');
} else {
	$additional_content = $alp->get_option_value_from_array('woocommerce_customer_pickup_reminder_order_settings', 'additional_content', 'Hi {customer_first_name}, This is a friendly reminder about your upcoming pickup order.');
}

$pickup_items_heading = $alp->get_option_value_from_array('woocommerce_customer_pickup_reminder_order_settings', 'pickup_items_heading', esc_html__( 'Items available for pick up', 'advanced-local-pickup-pro' ));	

$display_product_images = $alp->get_checkbox_option_value_from_array('woocommerce_customer_pickup_reminder_order_settings', 'display_product_images', 1);	

$display_product_prices = $alp->get_checkbox_option_value_from_array('woocommerce_customer_pickup_reminder_order_settings', 'display_product_prices', 1);	

$additional_content = str_replace(array('{site_title}', '{customer_email}', '{customer_first_name}', '{customer_last_name}', '{order_number}' ), array( get_bloginfo( 'name' ), $order->get_billing_email(), $order->get_billing_first_name(), $order->get_billing_last_name(), $order->get_order_number()), $additional_content);

/* translators: %s: Site title */ 
?><p class="wclp_additional_content"><?php echo wp_kses_post( wpautop(wptexturize( stripslashes($additional_content)) ) ); ?></p>
<?php
esc_html_e( wc_get_template(
	'emails/alp-email-order-details.php', array(
		'order'         => $order,
		'locationID' => $locationID,
		'product_ids' => $product_ids,
		'display_product_prices' => $display_product_prices,
		'display_product_images' => $display_product_images,
		'pickup_items_heading' => $pickup_items_heading,
		'sent_to_admin' => $sent_to_admin,
		'plain_text'    => $plain_text,
		'email'         => $email,
	),
	'advanced-local-pickup-pro/', 
	alp_pro_addon()->get_plugin_path() . '/templates/'
) );
?>
