<?php
/**
 * Processing LP Email
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/processing-lp-email.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates/Emails
 * @version 3.5.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$alp = new Advanced_Local_Pickup_Admin();

$pickup_items_heading = $alp->get_option_value_from_array('woocommerce_customer_processing_lp_order_settings', 'pickup_items_heading', esc_html__( 'Items available for pick up', 'advanced-local-pickup-pro' ));	

$display_product_images = $alp->get_checkbox_option_value_from_array('woocommerce_customer_processing_lp_order_settings', 'display_product_images', 1);	

$display_product_prices = $alp->get_checkbox_option_value_from_array('woocommerce_customer_processing_lp_order_settings', 'display_product_prices', 1);	

$display_shipping_address = $alp->get_checkbox_option_value_from_array('woocommerce_customer_processing_lp_order_settings', 'display_shipping_address', 1);

$display_billing_address = $alp->get_checkbox_option_value_from_array('woocommerce_customer_processing_lp_order_settings', 'display_billing_address', 1);

/*
 * @hooked WC_Emails::email_header() Output the email header
 */
do_action( 'woocommerce_email_header', stripslashes($email_heading), $email );
/* translators: %s: Site title */ 
?><p class="wclp_additional_content"><?php echo wp_kses_post( wpautop( html_entity_decode( $additional_content ) ) ); ?></p>
<?php
esc_html_e( wc_get_template(
	'emails/alp-email-order-details.php', array(
		'order'         => $order,
		'display_product_prices' => $display_product_prices,
		'display_product_images' => $display_product_images,
		'pickup_items_heading' => $pickup_items_heading,
		'sent_to_admin' => $sent_to_admin,
		'plain_text'    => $plain_text,
		'email'         => $email,
	),
	'advanced-local-pickup-pro/', 
	alp_pro_addon()->get_plugin_path() . '/templates/'
) );	

esc_html_e( wc_get_template(
	'emails/alp-email-addresses.php', array(
		'order'         => $order,
		'sent_to_admin' => $sent_to_admin,
		'display_billing_address' => $display_billing_address,
		//'display_shipping_address' => $display_shipping_address,
	),
	'advanced-local-pickup-pro/', 
	alp_pro_addon()->get_plugin_path() . '/templates/'
) );

/*
 * @hooked WC_Emails::email_footer() Output the email footer
 */
do_action( 'woocommerce_email_footer', $email );
